import request from '@/config/axios'

export interface ProductStockVO {

}

export interface ProductStockPageReqVO extends PageParam {

}

// 查询ProductStock列表
export const getProductStockPage = (params: ProductStockPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/productStock/page', params })
}

// 查询ProductStock列表
export const getPointList = (params: ProductStockPageReqVO) => {
  return request.get({ url: '/xmcpms/prod/productStock/list', params })
}

// 查询ProductStock详情
export const getProductStock = (id: number) => {
  return request.get({ url: `/xmcpms/prod/prod/productStock/info/${id}`})
}

// 新增ProductStock
export const createProductStock = (data: ProductStockVO) => {
  return request.post({ url: '/xmcpms/prod/productStock/create', data })
}

// 修改ProductStock
export const updateProductStock = (data: ProductStockVO) => {
  return request.put({ url: '/xmcpms/prod/productStock/update', data })
}

// 删除ProductStock
export const deleteProductStock = (id: number) => {
  return request.delete({ url: '/xmcpms/prod/productStock/delete?id=' + id })
}

//导出ProductStockList
export const exportProductStock = (params) => {
  return request.download({ url: '/xmcpms/prod/productStock/export', params })
}

// 下载用户导入模板
export const importPointTemplate = () => {
  return request.download({ url: '/xmcpms/prod/productStock/get-import-template' })
}
